#!/bin/sh

## This script handles the installations for Arch-based systems.
## It is run by main_install.sh

if [ "$OS" != 'arch' ]; then
  echo "${RED}The OS wasn't defined as Arch. Quitting...${NC}"
  exit 1
else
  echo "${GREEN}Installing for Arch-based systems${NC}"
fi

echo "Installing Keepass..."
if sudo pacman -S --needed keepass; then
  echo "${GREEN}Successfully installed Keepass${NC}"
else
  echo "${RED}Didn't install Keepass${NC}"
fi

echo "Installing ProtonVPN..."
if sudo pacman -S --needed openvpn dialog python-pip python-setuptools && sudo pip install protonvpn-cli; then
  echo "${GREEN}Successfully installed ProtonVPN${NC}"
else
  echo "${RED}Didn't install ProtonVPN${NC}"
fi

echo "Installing Git..."
if sudo pacman -S --needed git; then
  echo "${GREEN}Successfully installed Git${NC}"
else
  echo "${RED}Didn't install Git${NC}"
fi

echo "Installing Vim..."
# I use gvim instead of vim because the clipboard is compiled in gvim
if sudo pacman -S --needed gvim; then
  echo "${GREEN}Successfully installed Vim${NC}"
else
  echo "${RED}Didn't install Vim${NC}"
fi

echo "Installing miscellaneous things..."
if sudo pacman -S --needed curl wget; then
  echo "${GREEN}Successfully installed curl and wget${NC}"
else
  echo "${RED}Didn't install curl and wget${NC}"
fi
